---
title: WebGL2RenderingContext.isTransformFeedback()
slug: Web/API/WebGL2RenderingContext/isTransformFeedback
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGL2RenderingContext.isTransformFeedback()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> returns <code>true</code> if the passed object is a valid {{domxref("WebGLTransformFeedback")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">GLboolean <var>gl</var>.isTransformFeedback(<var>transformFeedback</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>transformFeedback</code></dt>
 <dd>A {{domxref("WebGLTransformFeedback")}} object to test.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("GLboolean")}} indicating whether the given object is a valid {{domxref("WebGLTransformFeedback")}} object (<code>true</code>) or not (<code>false</code>).</p>

<h2 id="Examples">Examples</h2>

<p><code>gl</code> must be a {{domxref("WebGL2RenderingContext")}}. <code>WebGLTransformFeedback</code> objects are not available in WebGL 1.</p>

<pre class="brush: js">var transformFeedback = gl.createTransformFeedback();

// ...

gl.isTransformFeedback(transformFeedback);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.15", "isTransformFeedback")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition for WebGL.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glIsTransformFeedback.xhtml", "glIsTransformFeedback")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.isTransformFeedback")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLTransformFeedback")}}</li>
</ul>
